com.google.gwt.cell.client

## Class EditTextCell.ViewData

- java.lang.Object
- - com.google.gwt.cell.client.EditTextCell.ViewData

Enclosing class:
  EditTextCell

    static class EditTextCell.ViewData
    extends java.lang.Object

The view data object used by this cell. We need to store both the text and the state because this cell is rendered differently in edit mode. If we did not store the edit state, refreshing the cell with view data would always put us in to edit state, rendering a text box instead of the new text string.

### Constructor Summary

Constructors
Constructor and Description
`ViewData(java.lang.String text)` Construct a new ViewData in editing mode.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getOriginal()`
`java.lang.String` `getText()`
`int` `hashCode()`
`boolean` `isEditing()`
`boolean` `isEditingAgain()`
`void` `setEditing(boolean isEditing)`
`void` `setText(java.lang.String text)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewData

    public ViewData(java.lang.String text)

Construct a new ViewData in editing mode.

Parameters:
  `text` - the text to edit

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### getOriginal

    public java.lang.String getOriginal()

#### getText

    public java.lang.String getText()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### isEditing

    public boolean isEditing()

#### isEditingAgain

    public boolean isEditingAgain()

#### setEditing

    public void setEditing(boolean isEditing)

#### setText

    public void setText(java.lang.String text)